package/rocksdb: bump to version 6.13.3

- Refresh first patch
- Replace second patch (this new iteration of previous patch has not
  been merged and does not apply cleanly on current version)
- Update hash of README.md (CircleCI gadget added with
  63b59f21d9)
- LTO is supported since version 6.12.6 and
  c0c33a4854
- DESTDIR and PREFIX are supported since version 6.13.2 and
  1e59800718

https://github.com/facebook/rocksdb/releases/tag/v6.13.3

Fixes:
 - http://autobuild.buildroot.org/results/a9798bb279a668a266c472fb026b68dbccf50431

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
This commit is contained in:
Fabrice Fontaine 2020-11-05 20:59:05 +01:00 committed by Thomas Petazzoni
parent 5d50793659
commit fcee4254aa
5 changed files with 3857 additions and 4075 deletions

View File

@ -16,13 +16,22 @@ EOF
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
[Upstream status: https://github.com/facebook/rocksdb/pull/6479]
---
build_tools/build_detect_platform | 58 +++++++++++++++----------------
1 file changed, 29 insertions(+), 29 deletions(-)
build_tools/build_detect_platform | 66 +++++++++++++++----------------
1 file changed, 33 insertions(+), 33 deletions(-)
diff --git a/build_tools/build_detect_platform b/build_tools/build_detect_platform
index 2535d8124..64a0ae76c 100755
--- a/build_tools/build_detect_platform
+++ b/build_tools/build_detect_platform
@@ -172,7 +172,7 @@ case "$TARGET_OS" in
PLATFORM_LDFLAGS="$PLATFORM_LDFLAGS -lpthread -lrt -ldl"
if test $ROCKSDB_USE_IO_URING; then
# check for liburing
- $CXX $CFLAGS -x c++ - -luring -o /dev/null 2>/dev/null <<EOF
+ $CXX $CFLAGS -x c++ - -luring -o test.o 2>/dev/null <<EOF
#include <liburing.h>
int main() {
struct io_uring ring;
@@ -245,7 +245,7 @@ if [ "$CROSS_COMPILE" = "true" -o "$FBCODE_BUILD" = "true" ]; then
else
if ! test $ROCKSDB_DISABLE_FALLOCATE; then
@ -45,17 +54,26 @@ index 2535d8124..64a0ae76c 100755
# Test whether gflags library is installed
# http://gflags.github.io/gflags/
# check if the namespace is gflags
- $CXX $CFLAGS -x c++ - -o /dev/null 2>/dev/null << EOF
+ $CXX $CFLAGS -x c++ - -o test.o 2>/dev/null << EOF
- if $CXX $CFLAGS -x c++ - -o /dev/null 2>/dev/null << EOF
+ if $CXX $CFLAGS -x c++ - -o test.o 2>/dev/null << EOF
#include <gflags/gflags.h>
using namespace GFLAGS_NAMESPACE;
int main() {}
EOF
@@ -323,7 +323,7 @@ EOF
COMMON_FLAGS="$COMMON_FLAGS -DGFLAGS=1"
PLATFORM_LDFLAGS="$PLATFORM_LDFLAGS -lgflags"
# check if namespace is gflags
- elif $CXX $CFLAGS -x c++ - -o /dev/null 2>/dev/null << EOF
+ elif $CXX $CFLAGS -x c++ - -o test.o 2>/dev/null << EOF
#include <gflags/gflags.h>
using namespace gflags;
int main() {}
@@ -285,7 +285,7 @@ EOF
PLATFORM_LDFLAGS="$PLATFORM_LDFLAGS -lgflags"
else
# check if namespace is google
- $CXX $CFLAGS -x c++ - -o /dev/null 2>/dev/null << EOF
+ $CXX $CFLAGS -x c++ - -o test.o 2>/dev/null << EOF
COMMON_FLAGS="$COMMON_FLAGS -DGFLAGS=1 -DGFLAGS_NAMESPACE=gflags"
PLATFORM_LDFLAGS="$PLATFORM_LDFLAGS -lgflags"
# check if namespace is google
- elif $CXX $CFLAGS -x c++ - -o /dev/null 2>/dev/null << EOF
+ elif $CXX $CFLAGS -x c++ - -o test.o 2>/dev/null << EOF
#include <gflags/gflags.h>
using namespace google;
int main() {}
@ -142,6 +160,15 @@ index 2535d8124..64a0ae76c 100755
size_t res = malloc_usable_size(0);
@@ -424,7 +424,7 @@ EOF
if ! test $ROCKSDB_DISABLE_MEMKIND; then
# Test whether memkind library is installed
- $CXX $CFLAGS $COMMON_FLAGS -lmemkind -x c++ - -o /dev/null 2>/dev/null <<EOF
+ $CXX $CFLAGS $COMMON_FLAGS -lmemkind -x c++ - -o test.o 2>/dev/null <<EOF
#include <memkind.h>
int main() {
memkind_malloc(MEMKIND_DAX_KMEM, 1024);
@@ -486,7 +486,7 @@ EOF
if ! test $ROCKSDB_DISABLE_PTHREAD_MUTEX_ADAPTIVE_NP; then
# Test whether PTHREAD_MUTEX_ADAPTIVE_NP mutex type is available
- $CXX $CFLAGS -x c++ - -o /dev/null 2>/dev/null <<EOF
@ -222,7 +249,7 @@ index 2535d8124..64a0ae76c 100755
EOF
if [ "$?" = 0 ]; then
@@ -603,7 +603,7 @@ if test "$TRY_SSE_ETC"; then
TRY_AVX2="-mavx2"
TRY_LZCNT="-mlzcnt"
fi
-$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS $TRY_SSE42 -x c++ - -o /dev/null 2>/dev/null <<EOF
@ -252,6 +279,24 @@ index 2535d8124..64a0ae76c 100755
echo "warning: USE_SSE specified but compiler could not use AVX2 intrinsics, disabling" >&2
fi
-$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS $TRY_BMI -x c++ - -o /dev/null 2>/dev/null <<EOF
+$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS $TRY_BMI -x c++ - -o test.o 2>/dev/null <<EOF
#include <cstdint>
#include <immintrin.h>
int main(int argc, char *argv[]) {
@@ -739,7 +739,7 @@ elif test "$USE_SSE"; then
echo "warning: USE_SSE specified but compiler could not use BMI intrinsics, disabling" >&2
fi
-$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS $TRY_LZCNT -x c++ - -o /dev/null 2>/dev/null <<EOF
+$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS $TRY_LZCNT -x c++ - -o test.o 2>/dev/null <<EOF
#include <cstdint>
#include <immintrin.h>
int main(int argc, char *argv[]) {
@@ -753,7 +753,7 @@ elif test "$USE_SSE"; then
echo "warning: USE_SSE specified but compiler could not use LZCNT intrinsics, disabling" >&2
fi
-$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS -x c++ - -o /dev/null 2>/dev/null <<EOF
+$CXX $PLATFORM_CXXFLAGS $COMMON_FLAGS -x c++ - -o test.o 2>/dev/null <<EOF
#include <cstdint>

File diff suppressed because it is too large Load Diff

View File

@ -1,8 +1,8 @@
# Locally computed:
sha256 d573d2f15cdda883714f7e0bc87b814a8d4a53a82edde558f08f940e905541ee rocksdb-6.10.1.tar.gz
sha256 b86741983c5842716128efc2eecc1a2f3bc86ba5125cf3111fb58d26fb195ff0 rocksdb-6.13.3.tar.gz
# Hash for license files:
sha256 8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643 COPYING
sha256 cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30 LICENSE.Apache
sha256 b568f1f37a5a1d37a3e981e7c8b7fc4856ca33b2ca0a45bc8e847aaaf7afe485 LICENSE.leveldb
sha256 054f4b04473dd7003fcd9e48b75c61fd257e50beb418c501099c651c0356a556 README.md
sha256 5791f5e0a4569112a97183581a8550e18db9fdf666479485fb98be10489ed5ca README.md

View File

@ -4,13 +4,15 @@
#
################################################################################
ROCKSDB_VERSION = 6.10.1
ROCKSDB_VERSION = 6.13.3
ROCKSDB_SITE = $(call github,facebook,rocksdb,v$(ROCKSDB_VERSION))
ROCKSDB_LICENSE = GPL-2.0 or Apache-2.0
ROCKSDB_LICENSE_FILES = COPYING LICENSE.Apache LICENSE.leveldb README.md
ROCKSDB_INSTALL_STAGING = YES
ROCKSDB_MAKE_OPTS = PORTABLE=1
ROCKSDB_MAKE_OPTS = \
PORTABLE=1 \
PREFIX=/usr
# Internal error, aborting at dwarf2cfi.c:2802 in connect_traces
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58864
@ -67,6 +69,12 @@ else
ROCKSDB_MAKE_OPTS += ROCKSDB_DISABLE_ZSTD=1
endif
ifeq ($(BR2_GCC_ENABLE_LTO),y)
ROCKSDB_MAKE_OPTS += USE_LTO=1
else
ROCKSDB_MAKE_OPTS += USE_LTO=0
endif
ifeq ($(BR2_STATIC_LIBS),y)
ROCKSDB_BUILD_TARGETS += static_lib
ROCKSDB_INSTALL_TARGETS += install-static
@ -88,12 +96,12 @@ endef
define ROCKSDB_INSTALL_STAGING_CMDS
$(TARGET_CONFIGURE_OPTS) $(MAKE) $(ROCKSDB_MAKE_OPTS) -C $(@D) \
INSTALL_PATH=$(STAGING_DIR) $(ROCKSDB_INSTALL_TARGETS)
DESTDIR=$(STAGING_DIR) $(ROCKSDB_INSTALL_TARGETS)
endef
define ROCKSDB_INSTALL_TARGET_CMDS
$(TARGET_CONFIGURE_OPTS) $(MAKE) $(ROCKSDB_MAKE_OPTS) -C $(@D) \
INSTALL_PATH=$(TARGET_DIR) $(ROCKSDB_INSTALL_TARGETS)
DESTDIR=$(TARGET_DIR) $(ROCKSDB_INSTALL_TARGETS)
endef
$(eval $(generic-package))